Distribution:   CCux-Linux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		gnokii
Summary:        mobile phone tool suite
Version:	0.6.26	
Release:	2
License:	GNU/GPL 
URL:		http://www.gnokii.org/
Group:		Applications/Productivity
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:  atk-devel
BuildRequires:  glibc-devel
BuildRequires:  cairo-devel
BuildRequires:  gdk-pixbuf-devel
BuildRequires:  glib-devel
BuildRequires:  gtk2+-devel
BuildRequires:  pango-devel
BuildRequires:  zlib-devel
BuildRequires:  libX11-devel
BuildRequires:  libXpm-devel
BuildRequires:  bluez-libs-devel
BuildRequires:  mysql-devel
BuildRequires:  pcsc-lite-devel

# Require for rpm lzma compression transition
Requires:        rpm >= 4.4.2.3-1


%description
gnokii is a multisystem tool suite for mobile phones. It provides a library to communicate with a phone hiding the communication protocol. The library handles SMS, phonebook, calendar, phone calls, and other mobile phone capabilities. It supports Nokia-FBUS mobiles, AT-capable phones (most of the mobiles), as well as Symbian-based phones.

%package        devel
Summary:        %{name} development headers.
Group:          %{group}
Requires:       %{name} = %{version}-%{release}

%description    devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
./configure --prefix=%_prefix
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

mkdir -p $RPM_BUILD_ROOT/usr/share/applications


%files
%defattr(-,root,root)
%_bindir
%_sbindir
%_datadir/applications
%_datadir/xgnokii
%_datadir/locale
%_datadir/doc
%_libdir/smsd/
%_libdir/*.so.*
%{_mandir}

%files devel
%defattr(-,root,root)
%{_includedir}
%{_pkgconfig}
%_libdir/*.so
%_libdir/*.a
%_libdir/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Aug 30 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.6.26-2
- rebuilt against bluez 4.2
* Sun Aug 17 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.6.26-1
- Initial CCux package release
